=== debian/changelog ===
tidy-html5 (1:5.2.0-2) unstable; urgency=low

  * Team upload.

  [ Jason Thomas ]
  * Add define for TIDY_CONFIG_FILE & TIDY_USER_CONFIG_FILE (Closes: #830066)
  * Remove debian/tidy.1 and use tidy.1 built from source

  [ Steve Langasek ]
  * Drop dependency on libdmalloc-dev to a Suggests:, not actually used without
    an extra #define. (Closes: #829147)

  [ Daniel James ]
  * Update copyright notice after clarification with upstream
  * Remove obsolete instructions for building tarballs from CVS
  * Improve package descriptions in control file (Closes: #429582,
    Closes: #829182)
  * Copy upstream changelog to standard location (Closes: #355042,
    Closes: #461655)
  * Add machine-readable copyright file crediting University of Toronto
  * Reinstate Jason Thomas as maintainer.

  [ Pino Toscano ]
  * Backport upstream commit 27143cc88e1d7cda7f08bdc4d78ce68dabf7575c to fix
    build on non-Linux architectures; patch
    upstream_Set-HAS_FUTIME-0-on-any-GNU-libc-platform.patch. (Closes: #828632)
  * Backport upstream commit 10281040ca6b3a54db7880eed9c67957d11622eb to avoid
    crashing in tidyCleanAndRepair if document was not loaded; patch
    upstream_Avoid-crash-in-tidyCleanAndRepair-if-document-was-no.patch.

  [ Mattia Rizzolo ]
  * d/rules: wrap long line.
  * d/rules: enable parallel building

 -- Daniel James <daniel@64studio.com>  Thu, 04 Aug 2016 09:55:19 +0000

tidy-html5 (1:5.2.0-1.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Install all headers to /usr/include/tidy/ to unbreak abiword
  * Add libdmalloc-dev dependency for libtidy-dev, needed for dmalloc.h
    include

  [ Ondřej Surý ]
  * Non-maintainer upload
  * Fix the wrong Replaces for shared libraries
  * Add Breaks/Replaces between libtidy-dev and libtidy-0.99-0
    (Closes: #827716)
  * Remove Pre-Depends on pre-wheezy dpkg version
  * Add compatibility headers back (Closes: #827891)
  * Add Vcs-* to collab-maint

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2016 15:36:42 +0200

tidy-html5 (1:5.2.0-1) unstable; urgency=low

  * New upstream release 5.2.0 (Closes: #655200, Closes: #810951)
  * debian/control: changed libtidy-0.99-0 to libtidy5
  * Update for modern packaging standards

 -- Daniel James <daniel@64studio.com>  Thu, 05 May 2016 12:33:07 +0100

tidy (20091223cvs-1.5) unstable; urgency=high

  [ Alessandro Ghedini ]
  * Fix heap buffer overflow and memory saturation on invalid HTML input
    as per CVE-2015-5522 and CVE-2015-5523 (Closes: #792571)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 20 Jul 2015 16:33:00 +0200

tidy (20091223cvs-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2014 13:26:56 +0200

tidy (20091223cvs-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary build dep on automake1.9 and autoconf. (Closes:
    #724441)

 -- Eric Dorland <eric@debian.org>  Sat, 08 Mar 2014 21:16:26 -0500

tidy (20091223cvs-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * For some reasons 20091223cvs-1.1 always gets rejected, probably due to
    the special character in Loics name, but the upload get's rejected even
    if I fix the previous changelog entry.  So let's see if creating a new
    one fixes the issue.

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 13 Dec 2011 15:19:30 +0100

tidy (20091223cvs-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch by Loic Minier:
    * New patch, 10format-warnings, fixes FTBFS with -Werror=format-security;
      essentially calls to messageNode() declared printf-alike with a variable
      fmt string, but no subsequent argument; the patch passes "%s" as format
      and fmt as the only argument; this merely protects this class of calls,
      but not the ones with e.g. always one argument or always two arguments.
      Tested by running tidy on some text and HTML files; warnings still seem to
      be output correctly; (Closes: #645300).
    * Use CURDIR instead of CURDUR in rules.
    * rules: only append to LD_LIBRARY_PATH, don't reset it, as fakeroot relies
    on it.
  * Set urgenceny to medium due to rc bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sat, 03 Dec 2011 10:57:47 +0100

tidy (20091223cvs-1) unstable; urgency=low

  * New cvs snapshot
  * debian/compat: increased from 4 to 7
  * debian/control:
  - updated standards-version from 3.8.0.0 to 3.8.3.0
  - updated build-depends on debhelper from 4 to 7
  - libtidy-dev, added binary version for dependency on libtidy,
    (>= ${binary:Version})
  - tidy, updated binary version for dependency on libtidy,
    (= ${binary:Version})

 -- Jason Thomas <jason@debian.org>  Wed, 23 Dec 2009 12:19:13 +1100

tidy (20081224cvs-1) unstable; urgency=low

  * New cvs snapshot
  * debian/control: add debhelper ${misc:Depends} to all packages
  - add versioned depend on libtidy-0.99-0 (>= 20081224cvs-1) for tidy
    (closes: #470764)
  - add Homepage field
  - update standards-version from 3.7.3.0 to 3.8.0.0
  * debian/tidy-doc.doc-base: change section from App/Text to Web Development
  * debian/tidy.postinst + tidy.preinst: set the -e flag
  * debian/README.source: new, how to build source tarball from upstream
  * debian/README.Debian: add urls to more documentation
    (closes: #353912)
  * debian/patches/03overview-tab-size.patch: add patch to fix tab-size
    (closes: #353907)
  * tidy doc has been built from same source as tidy for a while
    (closes: #364960)
  * debian/rules:
    - add -xml-config to generated manpage
    - clean up generated files
    (closes: #471107)
  * manpage: -latin0 options has correct info as of 20080116cvs-1
    (closes: #506394 )

 -- Jason Thomas <jason@debian.org>  Wed, 24 Dec 2008 13:25:54 +1100

tidy (20080116cvs-2) unstable; urgency=low

  * debian/control: build depends on xsltproc
    (closes: #461608)
  * debian/tidy.preinst,postinst: add code to move old config file

