=== debian/control ===
Source: tidy-html5
Section: web
Priority: optional
Maintainer: Jason Thomas <jason@debian.org>
Build-Depends: debhelper (>= 9), xsltproc, cmake
Standards-Version: 3.9.8
Homepage: http://www.html-tidy.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tidy-html5.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tidy-html5.git

Package: tidy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libtidy5 (= ${binary:Version})
Description: HTML/XML syntax checker and reformatter
 Tidy is a console application which corrects and cleans up HTML and XML
 documents by fixing markup errors and upgrading legacy code to modern
 standards. Tidy is a product of the World Wide Web Consortium and the HTML
 Tidy Advocacy Community Group.

Package: libtidy5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML/XML syntax checker and reformatter - library
 This is a library package, used by programs which have a dependency on
 libtidy5. If you want to run Tidy on the command line, please install the
 'tidy' package. If you want to build a program from source which uses
 libtidy5, please install the 'libtidy-dev' package.

Package: libtidy-dev
Section: libdevel
Architecture: any
Depends: libtidy5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: libdmalloc-dev
Breaks: libtidy-0.99-0
Replaces: libtidy-0.99-0
Description: HTML/XML syntax checker and reformatter - development
 This is a development package, which contains header files and a static
 library. It can be removed if you are not building packages from source which
 rely on libtidy5.
