## tidy-html5 5.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # CMakeLists.txt - 20150402 - 20150130 - 20140801 - for github htacg/tidy-html5
 # Prepare for changing the name to 'tidy'
-cmake_minimum_required (VERSION 2.8.7)
-
-set(LIB_NAME tidy)
+cmake_minimum_required (VERSION 2.6.3)
+
+set(LIB_NAME tidy-html5)
 
 project (${LIB_NAME})
 
@@ -38,14 +38,12 @@
 
 # By default, BOTH library types built, Allow turning OFF shared if not needed
 set( LIB_TYPE STATIC )  # set default message
-option( BUILD_SHARED_LIB "Set OFF to NOT build shared library"    ON  )
+option( BUILD_SHARED_LIB "Set OFF to NOT build shared library"    ON )
 option( BUILD_TAB2SPACE  "Set ON to build utility app, tab2space" OFF )
 option( BUILD_SAMPLE_CODE "Set ON to build the sample code"       OFF )
-if (NOT MAN_INSTALL_DIR)
-    set(MAN_INSTALL_DIR share/man/man1)
-endif ()
+
 # Issue #326 - Allow linkage choice of console app tidy
-option( TIDY_CONSOLE_SHARED "Set ON to link with shared(DLL) lib." OFF )
+option( TIDY_CONSOLE_SHARED "Set ON to link with shared(DLL) lib." ON )
 if (TIDY_CONSOLE_SHARED)
     if (NOT BUILD_SHARED_LIB)
         message(FATAL_ERROR "Enable shared build for this tidy linkage!")
@@ -119,13 +117,12 @@
    message(STATUS "*** Only building static library ${LIB_TYPE}, version ${LIBTIDY_VERSION}, date ${LIBTIDY_DATE}")
 endif()
 
-include_directories ( "${PROJECT_SOURCE_DIR}/include" "${PROJECT_SOURCE_DIR}/src" )
+include_directories ( src )
 
 ##############################################################################
 ### tidy library
 # file locations
 set ( SRCDIR src )
-set ( INCDIR include )
 # file lists
 set ( CFILES
         ${SRCDIR}/access.c       ${SRCDIR}/attrs.c        ${SRCDIR}/istack.c
@@ -138,8 +135,14 @@
         ${SRCDIR}/tidylib.c      ${SRCDIR}/mappedio.c     ${SRCDIR}/gdoc.c
         ${SRCDIR}/language.c  )
 set ( HFILES
-        ${INCDIR}/tidyplatform.h ${INCDIR}/tidy.h         ${INCDIR}/tidyenum.h
-        ${INCDIR}/tidybuffio.h )
+        ${SRCDIR}/tidyplatform.h ${SRCDIR}/tidy.h         ${SRCDIR}/tidyenum.h
+        ${SRCDIR}/tidybuffio.h )
+
+option (TIDY_COMPAT_HEADERS "If set to ON, compatability headers are included" OFF)
+if (TIDY_COMPAT_HEADERS)
+    set ( HFILES ${HFILES}      ${SRCDIR}/buffio.h        ${SRCDIR}/platform.h )
+endif ()
+
 set ( LIBHFILES
         ${SRCDIR}/access.h       ${SRCDIR}/attrs.h        ${SRCDIR}/attrdict.h ${SRCDIR}/charsets.h
         ${SRCDIR}/clean.h        ${SRCDIR}/config.h       ${SRCDIR}/entities.h
@@ -209,7 +212,7 @@
 ##########################################################
 ### main executable - linked with STATIC/SHARED library
 set(name ${LIB_NAME})
-set ( BINDIR console )
+set ( BINDIR src )
 add_executable( ${name} ${BINDIR}/tidy.c )
 target_link_libraries( ${name} ${add_LIBS} )
 if (MSVC)
@@ -232,7 +235,7 @@
 
 if (BUILD_SAMPLE_CODE)
     set(name test71)
-    set(dir console)
+    set(dir src)
     add_executable( ${name} ${dir}/${name}.cxx )
     if (MSVC)
         set_target_properties( ${name} PROPERTIES DEBUG_POSTFIX d )
@@ -241,66 +244,4 @@
     # no INSTALL of this 'local' sample
 endif ()
 
-#==========================================================
-# Create man pages
-#==========================================================
-if (UNIX)
-    find_program( XSLTPROC_FOUND xsltproc )
-    if (XSLTPROC_FOUND)
-        ## NOTE: man name must match exe ie currently `${LIB_NAME}.1` not `tidy.1`
-        ## also could use `manpath` command output to determine target install path
-        set(TIDY_MANFILE ${LIB_NAME}.1)
-        message(STATUS "*** Generating man ${TIDY_MANFILE} custom commands...")
-        set(TIDY1XSL ${CMAKE_CURRENT_BINARY_DIR}/tidy1.xsl)
-        set(TIDYHELP ${CMAKE_CURRENT_BINARY_DIR}/tidy-help.xml)
-        set(TIDYCONFIG ${CMAKE_CURRENT_BINARY_DIR}/tidy-config.xml)
-        add_custom_target(man ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}")
-        configure_file(
-            ${CMAKE_CURRENT_SOURCE_DIR}/man/tidy1.xsl.in
-            ${TIDY1XSL}
-        )
- 
-        # run built EXE to generate xml output 
-        add_custom_command(
-            TARGET man
-            COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME} -xml-help > ${TIDYHELP}
-            COMMENT "Generate ${TIDYHELP}"
-            VERBATIM
-        )
-
-        # run built EXE to generate more xml output 
-        add_custom_command(
-            TARGET man
-            COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME} -xml-config > ${TIDYCONFIG}
-            COMMENT "Generate ${TIDYCONFIG}"
-            VERBATIM
-        )
-
-        # run xsltproc to generate the install files..
-        add_custom_command(
-            TARGET man
-            DEPENDS ${TIDYHELP}
-            COMMAND xsltproc ARGS ${TIDY1XSL} ${TIDYHELP} > ${CMAKE_CURRENT_BINARY_DIR}/${TIDY_MANFILE}
-            COMMENT "Generate ${TIDY_MANFILE}"
-            VERBATIM
-        )
-
-        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${TIDY_MANFILE} DESTINATION ${MAN_INSTALL_DIR})
-
-    else ()
-        message(STATUS "*** NOTE: xsltproc NOT FOUND! Can NOT generate man page.")
-        message(STATUS "*** You need to install xsltproc in your system.")
-    endif ()
-endif ()
-
-##########################################################
-### Create MSI,EXE, DMG, DEB/RPM
-### TODO: Check each of these builds
-##########################################################
-set(BITNESS 32)
-if(CMAKE_SIZEOF_VOID_P EQUAL 8)
-  set(BITNESS 64)
-endif()
-if (WIN32)
-    # MSI - this needs WiX Tooset installed and a path to candle.exe
-    # EXE - this needs NSIS tools to be in path
+# eof
