=== debian/changelog ===
tidy-html5 (5.4.0) unstable; urgency=low

  * Initial Maemo5 release.

 -- Stuart Howarth <showarth@marxoft.co.uk>  Sat, 30 Sep 2017 16:38:32 +0100
