=== debian/control ===
Source: tidy-html5
Section: web
Priority: optional
Maintainer: Stuart Howarth <showarth@marxoft.co.uk>
Homepage: http://www.html-tidy.org
Build-Depends: cmake

Package: libtidy-html5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HTML syntax checker - library

Package: libtidy-html5-dev
Section: libdevel
Architecture: all
Depends: libtidy-html5
Description: HTML syntax checker - development

Package: tidy-html5
Section: web
Architecture: any
Depends: libtidy-html5
Description: HTML syntax checker
