=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	cmake -DCMAKE_BUILD_TYPE=Release && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	dh_clean

install: build
	mkdir -p debian/libtidy-html5-dev/usr/include/tidy-html5/
	mkdir -p debian/libtidy-html5/opt/lib/
	mkdir -p debian/tidy-html5/opt/bin/
	mkdir debian/libtidy-html5/DEBIAN/
	mkdir debian/tidy-html5/DEBIAN/
	cp include/*.h debian/libtidy-html5-dev/usr/include/tidy-html5/
	cp libtidy-html5.so.5.4.0 libtidy-html5s.a debian/libtidy-html5/opt/lib/
	cp tidy-html5 debian/tidy-html5/opt/bin/
	cp debian/lib_postinst debian/libtidy-html5/DEBIAN/postinst
	cp debian/lib_postrm debian/libtidy-html5/DEBIAN/postrm
	cp debian/app_postinst debian/tidy-html5/DEBIAN/postinst
	cp debian/app_postrm debian/tidy-html5/DEBIAN/postrm
	chmod a+x debian/libtidy-html5/DEBIAN/postinst
	chmod a+x debian/libtidy-html5/DEBIAN/postrm
	chmod a+x debian/tidy-html5/DEBIAN/postinst
	chmod a+x debian/tidy-html5/DEBIAN/postrm
	dh_testdir
	dh_testroot
	dh_install

# Build architecture-independent files here.
binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_fixperms
	#dh_shlibdeps
	#dh_makeshlibs
	dh_installdeb
	dh_gencontrol 
	dh_md5sums
	dh_builddeb



binary: binary-indep binary-arch
.PHONY: build clean binary-arch binary-indep binary configure
