=== debian/changelog ===
tidy-html5 (2:5.6.0-6) unstable; urgency=medium

  [ Ondřej Surý ]
  * Fix my email in d/control

  [ Dmitry Shachnev ]
  * Revert upstream commit that causes issues in python-tidylib.

 -- Ondřej Surý <ondrej@debian.org>  Sat, 27 Oct 2018 18:52:51 +0000

tidy-html5 (2:5.6.0-5) unstable; urgency=medium

  * Revert "Downgrade the debhelper compat level to 9"
    + Bump debhelper compat to v11.
  * Fix full library path (Closes: #911915)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Oct 2018 06:38:07 +0000

tidy-html5 (2:5.6.0-4) unstable; urgency=medium

  * Rebuild for all architectures on Debian Buildds.
  * debian/patches: Cherry-pick some important fixes from trunk:
    + Fix unsafe use of output buffer as input param (Upstream issue 655)
    + Fix typo in TidyHideComments description (Upstream issue 684)

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Oct 2018 11:13:45 -0400

tidy-html5 (2:5.6.0-3) unstable; urgency=medium

  * Downgrade the debhelper compat level to 9
  * Change the SONAME bump to 5deb1
  * Add Boyuan Yang to Uploaders
  * [CVE-2017-17497]: Add upstream fix for segmentation fail on NULL node in loop

 -- Ondřej Surý <ondrej@debian.org>  Fri, 19 Oct 2018 08:32:17 +0000

tidy-html5 (2:5.6.0-1) unstable; urgency=medium

  * Take over the package as the previous maintainer upload is inactive
    and last touched the package in 2016
  * Run wrap-and-sort -a over debian/
  * Improve the wording in the package descriptions
  * Upload a stable tidy-html5 version back to unstable.
  * Bump the epoch to fix the mess created by the 5.7.16 upload to unstable.
  * Add patch to bump SONAME to libtidy.so.6 and rename the shared library
    package to libtidy6 (Closes: #911130)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Oct 2018 07:16:23 +0000

tidy-html5 (1:5.6.0-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release (NMU) with approval from package maintainer.

  [ Ondřej Surý ]
  * Remove all patches; they have been merged upstream

  [ Boyuan Yang ]
  * New upstream version 5.6.0.
  * Rename libtidy5 to libtidy5.6 due to API breakage, this starts a
    transition.
  * debian:
    + Apply "wrap-and-sort -abst".
    + Bump debhelper compat to v11.
  * debian/control:
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update Vcs-* fields and use git repo on Salsa Debian group.
  * debian/rules:
    + Modernize rules and enable full hardening.
    + Use "dh_missing --fail-missing".
  * debian/patches: Add patch to enable cmake GNUInstallDirs support.
  * debian/install: Drop manually installed upstream changelog and
    lintian override.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Sep 2018 11:25:48 -0400
