=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DTIDY_CONSOLE_SHARED:BOOL=YES \
		-DTIDY_COMPAT_HEADERS:BOOL=YES \
		-DTIDY_CONFIG_FILE:STRING=/etc/tidy.conf \
		-DTIDY_USER_CONFIG_FILE:STRING=~/.tidyrc \

override_dh_missing:
	dh_missing --fail-missing
